Skip to content

Get an invoice

GET
/api/v1/invoices/{id}
curl --request GET \
--url https://example.com/api/v1/invoices/example \
--header 'x-api-key: <x-api-key>'
id
required
string
Media typeapplication/json
object
id
required
string
stripeInvoiceId
required
string
customerId
required
string
nullable
stripeCustomerId
required
string
nullable
stripeSubscriptionId
required
string
nullable
amountDue
required
number
amountPaid
required
number
currency
required
string
status
required
string
hostedInvoiceUrl
required
string
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Example generated

{
"id": "example",
"stripeInvoiceId": "example",
"customerId": "example",
"stripeCustomerId": "example",
"stripeSubscriptionId": "example",
"amountDue": 1,
"amountPaid": 1,
"currency": "example",
"status": "example",
"hostedInvoiceUrl": "example",
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}